<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mfu Library Q&A</title>

    <link rel="stylesheet" href="webboard.component.scss">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

    <header>
        <nav>
          <div class="container">
            <div class="nav-grid">
            <div class="logo">
              <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
            </div>
            <div class="fr">
              <ul class="menu">
                <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Home</a></li>
              </ul>
            </div>
            </div>
          </div>
        </nav>
      </header>

      <section class="content">
          <div class="container">
            <div class="content-topic">
              <h1>Webboard</h1>
            </div>
            <div class="content-heading">
                <button class="button" [routerLink]="['/webboard/ask']"><i class="fas fa-plus"></i> Ask Question</button>
            </div>

            <div class="content-services">
              <div class="content-services-table">
                <table class="table table-borderless" rules=none>
                  <tbody class="table-body" >
                    <tr *ngFor="let question of questionWb">
                      <td class="questionWb" [routerLink]="['/webboard/detail/',question.id]" [innerHTML]="question.question"></td>
                      <td class="iconWb">{{question.score_like}}<a (click)="likeQuestionWbById(question.id)"><i class="far fa-thumbs-up"></i></a></td> 
                    </tr>
                  </tbody>
                </table>
              </div>

            </div>

          </div>
      </section>
     
</body>
</html>
